QamaqQamaq
PATCH

Atualizar webhook

/webhooks/{webhook_id}

Atualiza as propriedades de um webhook.

Parâmetros

Parâmetros de Caminho

NomeTipoDescrição
webhook_idobrigatório
string

The webhook ID

Corpo da Requisição

application/jsonobrigatório
{
name:string
url:string
events:string[]
secret:string
headers:object
is_active:boolean
}

Exemplos de Código

curl -X PATCH "https://api.qamaq.io/api/v1/webhooks/{webhook_id}" \
  -H "Authorization: Bearer qmq_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"key": "value"}'

Respostas

200Webhook updated successfully

Response Body

{
id:string
name:string
url:string
events:string[]
has_secret:boolean
headers:object
is_active:boolean
last_triggered_at:string (date-time)
last_status:string
failure_count:integer
created_at:string (date-time)
updated_at:string (date-time)
}